Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.extract
Class EbXML_3_0DocumentEntryExtractor

    java.lang.Object
      org.eclipse.ohf.ihe.xds.metadata.extract.EbXML_3_0DocumentEntryExtractor

All Implemented Interfaces:
  DocumentEntryExtractor

    public class EbXML_3_0DocumentEntryExtractor

extends java.lang.Object
implements DocumentEntryExtractor

Class to extract document entry metadata from ebRIM 3.0 elements.

Author:
  Sarah Knoop

Field Summary
`static java.lang.String` | `DESCRIPTOR` Descriptor for Extractor

Constructor Summary
`EbXML_3_0DocumentEntryExtractor(ExtrinsicObjectType docData, AssociationType1 parentData)` Loads the ebXML structures containing Document Entry metadata.

Method Summary
`DocumentEntryType` | `extract()` Builds an DocumentEntryType containing XDSDocumentEntry metadata, including parent document data, from the ExtrinsicObject and Association parameter provided.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESCRIPTOR

    public static final java.lang.String DESCRIPTOR

  Descriptor for Extractor

  See Also:
    Constant Field Values

Constructor Detail

### EbXML_3_0DocumentEntryExtractor

    public EbXML_3_0DocumentEntryExtractor(ExtrinsicObjectType docData,
                                           AssociationType1 parentData)

  Loads the ebXML structures containing Document Entry metadata. UUIDs for classificationSchemes, identificationSchemes, objectTypes and associationTypes are expected to conform to those fixed by XDS documentataion.

  Parameters:
    `docData` - the ExtrinsicObject for the document entry metadata. Cannot be null.
    `parentData` - the Association with the parent of this document. Can be null if no parent document is referenced.
  See Also:
    `UUIDs`

Method Detail

### extract

    public DocumentEntryType extract()
                              throws MetadataExtractionException

  Builds an DocumentEntryType containing XDSDocumentEntry metadata, including parent document data, from the ExtrinsicObject and Association parameter provided. Will extract the ExtrinsicObject/@id for the entryUUID metadata. Construction assumes that sandard HL7 V2.5 message delimiters are used. See `MessageDelimiters`. Length restrictions are not implemented, presently.

  Specified by:
    `extract` in interface `DocumentEntryExtractor`
  Returns:
    DocumentEntryType object populated with metadata from the extractor.
  Throws:
    `MetadataExtractionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD